Gateway.OrderPolicy (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.util, class: Gateway, enum: OrderPolicy

Package org.apache.geode.cache.util

# Enum Class Gateway.OrderPolicy

java.lang.Object
java.lang.Enum<Gateway.OrderPolicy>
org.apache.geode.cache.util.Gateway.OrderPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<Gateway.OrderPolicy>`, `Constable`

Enclosing class:
  Gateway

public static enum Gateway.OrderPolicy extends Enum<Gateway.OrderPolicy>
The order policy. This enum is applicable only when concurrency-level is > 1.

Since:
  GemFire 6.5.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `KEY`
  Indicates that events will be parallelized based on the event's key
  `PARTITION`
  Indicates that events will be parallelized based on the event's: - partition (using the PartitionResolver) in the case of a partitioned region event - key in the case of a replicated region event
  `THREAD`
  Indicates that events will be parallelized based on the event's originating member and thread

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Gateway.OrderPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Gateway.OrderPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### THREAD

    public static final Gateway.OrderPolicy THREAD
    Indicates that events will be parallelized based on the event's originating member and thread

  - ### KEY

    public static final Gateway.OrderPolicy KEY
    Indicates that events will be parallelized based on the event's key

  - ### PARTITION

    public static final Gateway.OrderPolicy PARTITION
    Indicates that events will be parallelized based on the event's: - partition (using the PartitionResolver) in the case of a partitioned region event - key in the case of a replicated region event

- ## Method Details

  - ### values

    public static Gateway.OrderPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Gateway.OrderPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null